#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	bcrypt
Summary:	Library for password hashing for your software and your servers
Summary(pl.UTF-8):	Biblioteka do tworzenia skrótów haseł dla programów i serwerów
Name:		python-%{module}
Version:	3.1.7
Release:	6
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/bcrypt/
Source0:	https://files.pythonhosted.org/packages/source/b/bcrypt/%{module}-%{version}.tar.gz
# Source0-md5:	5d6f93b575ce52470af37a8e7dce76fe
URL:		https://github.com/dstufft/bcrypt/
%if %{with python2}
BuildRequires:	python-cffi >= 1.1
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest >= 3.2.1
BuildRequires:	python-six >= 1.4.1
%endif
%endif
%if %{with python3}
BuildRequires:	python3-cffi >= 1.1
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 3.2.1
BuildRequires:	python3-six >= 1.4.1
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library should be compatible with py-bcrypt.

%description -l pl.UTF-8
Biblioteka powinna być zgodna z biblioteką py-bcrypt.

%package -n python3-%{module}
Summary:	Library for password hashing for your software and your servers
Summary(pl.UTF-8):	Biblioteka do tworzenia skrótów haseł dla programów i serwerów
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
This library should be compatible with py-bcrypt.

%description -n python3-%{module} -l pl.UTF-8
Biblioteka powinna być zgodna z biblioteką py-bcrypt.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%dir %{py_sitedir}/bcrypt
%attr(755,root,root) %{py_sitedir}/bcrypt/*.so
%{py_sitedir}/bcrypt/*.py[co]
%{py_sitedir}/bcrypt-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%dir %{py3_sitedir}/bcrypt
%attr(755,root,root) %{py3_sitedir}/bcrypt/*.so
%{py3_sitedir}/bcrypt/*.py
%{py3_sitedir}/bcrypt/__pycache__
%{py3_sitedir}/bcrypt-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-bcrypt.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b535b5f
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6064e45
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 41f20ed
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> d53d4b3
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 8741cf1
- release 2 (by relup.sh)

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 6690e1f
- updated to 3.1.7, cleanup

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ae5db5c
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Mar 31 2019 Jan Palus <atler@pld-linux.org> f663ae8
- up to 3.1.6

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f97c78
- rel 10; fix build

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> da75c99
- release 9 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d4e46f
- python 3.7 rebuild
- release 8 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f80b4e
- python 3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 76440da
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bbc0578
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4ba1cbb
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bb378e
- python3.5 rebuild
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fa21814
- python 3.5 rebuild
- release 4 (by relup.sh)

* Thu Mar 26 2015 Jan Rękorajski <baggins@pld-linux.org> aa94890
- fix typo in deps
- rel 3

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> 3a0dcf4
- update BR, rm -r

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> b4d459d
- update BR, cleanups

